## org.apache.aries.subsystem.core.archive
Class SubsystemTypeHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.SubsystemTypeHeader

All Implemented Interfaces:
  Header<SubsystemTypeHeader.Clause>

    public class SubsystemTypeHeader

extends Object
implements Header<SubsystemTypeHeader.Clause>

Nested Class Summary
`static class` `SubsystemTypeHeader.Clause`

Field Summary
`static SubsystemTypeHeader` `DEFAULT`
`static String` `DIRECTIVE_PROVISION_POLICY`
`static String` `NAME`
`static String` `PROVISION_POLICY_ACCEPT_DEPENDENCIES`
`static String` `PROVISION_POLICY_REJECT_DEPENDENCIES`
`static String` `TYPE_APPLICATION`
`static String` `TYPE_COMPOSITE`
`static String` `TYPE_FEATURE`

Constructor Summary
`SubsystemTypeHeader(String value)`
`SubsystemTypeHeader(SubsystemTypeHeader.Clause clause)`

Method Summary
`SubsystemTypeHeader.Clause` `getClause()`
`Collection<SubsystemTypeHeader.Clause>` `getClauses()`
`String` `getName()`
`ProvisionPolicyDirective` `getProvisionPolicyDirective()`
`String` `getType()`
`String` `getValue()`
`boolean` `isApplication()`
`boolean` `isComposite()`
`boolean` `isFeature()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DIRECTIVE_PROVISION_POLICY

    public static final String DIRECTIVE_PROVISION_POLICY

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### PROVISION_POLICY_ACCEPT_DEPENDENCIES

    public static final String PROVISION_POLICY_ACCEPT_DEPENDENCIES

See Also:
  Constant Field Values

### PROVISION_POLICY_REJECT_DEPENDENCIES

    public static final String PROVISION_POLICY_REJECT_DEPENDENCIES

See Also:
  Constant Field Values

### TYPE_APPLICATION

    public static final String TYPE_APPLICATION

See Also:
  Constant Field Values

### TYPE_COMPOSITE

    public static final String TYPE_COMPOSITE

See Also:
  Constant Field Values

### TYPE_FEATURE

    public static final String TYPE_FEATURE

See Also:
  Constant Field Values

### DEFAULT

    public static final SubsystemTypeHeader DEFAULT

Constructor Detail

### SubsystemTypeHeader

    public SubsystemTypeHeader(SubsystemTypeHeader.Clause clause)

### SubsystemTypeHeader

    public SubsystemTypeHeader(String value)

Method Detail

### getClause

    public SubsystemTypeHeader.Clause getClause()

### getClauses

    public Collection<SubsystemTypeHeader.Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header<SubsystemTypeHeader.Clause>`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header<SubsystemTypeHeader.Clause>`

### getProvisionPolicyDirective

    public ProvisionPolicyDirective getProvisionPolicyDirective()

### getType

    public String getType()

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header<SubsystemTypeHeader.Clause>`

### isApplication

    public boolean isApplication()

### isComposite

    public boolean isComposite()

### isFeature

    public boolean isFeature()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.